2019-06-25 03:22 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002185NetSurfAmiga-specificpublic2016-02-16 15:27
ReporterSamir Hawamdeh 
Assigned ToChris Young 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformAmigaOSOSOS Version4.1
Product Version3.1 
Target Version3.4Fixed in Version3.4 
Summary0002185: Save as IFF option still save images as PNG
DescriptionThe Save as IFF option in reality still save images as PNG
TagsNo tags attached.
Fixed in CI build #2801
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Chris Young

~0000451

Chris Young (developer)

"Save as IFF" is definitely saving bitmaps as IFF ILBM (it should be saving SVGs as IFF DR2D too, but I haven't double-checked that). However, the default filename in the requester is the file's original filename with extension. This needs stripping off and changing to .iff (or less generically, .ilbm or .dr2d).
Chris Young

~0000507

Chris Young (developer)

The larger issue here is that generating filenames should probably be done using url_nice(), which none of the Amiga frontend code is using.
Chris Young

~0000512

Chris Young (developer)

Now using url_nice to generate initial filenames. Note this is stripping the extension always, not just when saving in a different format. I'm undecided as to whether this is a problem or not (as AmigaOS doesn't care).
Chris Young

~0000859

Chris Young (developer)

Now strips the file extension (if not saving as source) and adds a more appropriate one.
Vincent Sanders

~0001310

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2014-08-23 18:18 Samir Hawamdeh New Issue
2014-08-23 18:54 Chris Young Assigned To => Chris Young
2014-08-23 18:54 Chris Young Status new => assigned
2014-08-23 18:58 Chris Young Note Added: 0000451
2014-08-23 18:58 Chris Young Status assigned => confirmed
2014-08-23 18:58 Chris Young Target Version => 4.0
2014-10-10 15:19 Chris Young Note Added: 0000507
2014-10-23 19:00 Chris Young Note Added: 0000512
2014-10-25 22:46 Chris Young Status confirmed => feedback
2015-06-22 18:43 Chris Young Fixed in CI build # => 2801
2015-06-22 18:43 Chris Young Note Added: 0000859
2015-06-22 18:43 Chris Young Status feedback => resolved
2015-06-22 18:43 Chris Young Fixed in Version => 3.4
2015-06-22 18:43 Chris Young Resolution open => fixed
2015-06-23 10:14 Vincent Sanders Target Version 4.0 => 3.4
2016-02-16 15:27 Vincent Sanders Note Added: 0001310
2016-02-16 15:27 Vincent Sanders Status resolved => closed
+Issue History